# Generated from zabbix_sender_api-1.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name zabbix_sender_api

Name: rubygem-%{gem_name}
Version: 1.1.2
Release: 1%{?dist}
Summary: Ruby library that greatly simplifies sending data to Zabbix via the sender/trapper protocol
License: MIT
URL: https://svdasein.gitlab.io/zabbix_sender_api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
This gem implements an api that abstracts the zabbix sender/trapper mechanism.
It saves tons of time when you're cranking out custom polling logic.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/example.rb
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_instdir}/images
%{gem_libdir}
%{gem_instdir}/public
%{gem_instdir}/zabbix-sender-help.md
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/zabbix_sender_api.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.1.2-1
- Initial package
